For the complete documentation index, see llms.txt. This page is also available as Markdown.

Flow Group Assignment Entries

List entries for a flow group assignment.

get

Returns the flow document collection definitions linked to the specified flow group assignment.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
Query parameters
flowGroupAssignmentObjectIdentifierstring · uuidOptional
Responses
200

OK

objectIdentifierstring · uuidOptional
namestring · nullableOptional
useAllDocumentsbooleanOptional
dateAddedstring · date-timeOptional
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-group-assignment-entries
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-group-assignment-entries HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "useAllDocuments": true,
    "dateAdded": "2026-01-01T00:00:00.000Z",
    "entries": [
      {
        "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
        "documentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
        "dateAdded": "2026-01-01T00:00:00.000Z"
      }
    ]
  }
]

Sync flow group assignment entries.

put

Adds and removes documents linked to a flow's group assignment so the assignment's document set matches the supplied lists.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
Body
flowDocumentCollectionDefinitionObjectIdentifierstring · uuidOptional
documentObjectIdentifiersToAddstring · uuid[] · nullableOptional
documentObjectIdentifiersToRemovestring · uuid[] · nullableOptional
Responses
200

OK

objectIdentifierstring · uuidOptional
namestring · nullableOptional
useAllDocumentsbooleanOptional
dateAddedstring · date-timeOptional
put/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-group-assignment-entries
PUT /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-group-assignment-entries HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 242

{
  "flowDocumentCollectionDefinitionObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "documentObjectIdentifiersToAdd": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "documentObjectIdentifiersToRemove": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "useAllDocuments": true,
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "entries": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "documentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "dateAdded": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated